/*-------------------------------------------------------------------
  All code is provided for EDUCATIONAL purposes ONLY. There is no
  warranty and no support.

  sht30.h - sht30 header file

  2021-10-22 written
-------------------------------------------------------------------*/

#ifndef _SHT30_H_
#define _SHT30_H_ 1

#define SHT30_READ_HUMID           1
#define SHT30_READ_TEMP            2

#define SHT30_ADDRESS_W            0b10001000           // x'44' << 1
#define SHT30_ADDRESS_R            0b10001001

#define SHT31_MEAS_MEDREP    0x240B    // Measurement Medium Repeatability with Clock Stretch Disabled

// Functions

unsigned char sht30_readTempHum( unsigned char ucRequest, int *piResult );

#endif
